Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
trace_set_local_events_struct Struct Reference

## Data Fields
rb_event_flag_t | turnon_events
VALUE | tpval
unsigned int | target_line
int | n

## Detailed Description

Definition at line 3186 of file iseq.c.

## Field Documentation

## ◆ n

int trace_set_local_events_struct::n

Definition at line 3190 of file iseq.c.

Referenced by rb_iseq_add_local_tracepoint_recursively().

## ◆ target_line

unsigned int trace_set_local_events_struct::target_line

Definition at line 3189 of file iseq.c.

Referenced by rb_iseq_add_local_tracepoint_recursively().

## ◆ tpval

VALUE trace_set_local_events_struct::tpval

Definition at line 3188 of file iseq.c.

Referenced by rb_iseq_add_local_tracepoint_recursively().

## ◆ turnon_events

rb_event_flag_t trace_set_local_events_struct::turnon_events

Definition at line 3187 of file iseq.c.

Referenced by rb_iseq_add_local_tracepoint_recursively().

The documentation for this struct was generated from the following file:

- iseq.c